# OpenIPS

An IPS patcher designed to be fully FOSS and cross-platform.

## Requirements

Python3, PyQT5 for the GUI version

## Usage

Either run the GUI version, or:

`ips.py <patch file> <base file> <output file>`


## TODO

1. Implement support for IPS32
2. Improve the CLI
3. Add support for creating IPS patches (both IPS and IPS32)
4. Maybe more?

## Credits

[File Formats Wiki](http://fileformats.archiveteam.org/wiki/IPS_\(binary_patch_format\))

## License

Copyright [2018] [Alex Taber (astronautlevel2)]

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this project except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.